import { HttpClient, MaybeContext, BuildRESTFunction } from '@wix/sdk-types';
import { S as SendBiEventOptions } from './devcenter-bi-events-v1-send-bi-event-response-bi-events.universal-DWd18SbN.mjs';
export { E as EventName, b as SendBIEventRequest, a as SendBIEventResponse } from './devcenter-bi-events-v1-send-bi-event-response-bi-events.universal-DWd18SbN.mjs';

declare function sendBiEvent$1(httpClient: HttpClient): SendBiEventSignature;
interface SendBiEventSignature {
    /**
     * Submit a BI event to Wix.
     */
    (options?: SendBiEventOptions | undefined): Promise<void>;
}

declare const sendBiEvent: MaybeContext<BuildRESTFunction<typeof sendBiEvent$1> & typeof sendBiEvent$1>;

export { SendBiEventOptions, sendBiEvent };
